Pause a follower
- POST /{index}/_ccr/pause_follow
Pause a cross-cluster replication follower index. The follower index will not fetch any additional operations from the leader index. You can resume following with the resume follower API. You can pause and resume a follower index to change the configuration of the following task.
- Cluster privileges:
manage_ccr
Path Parameters
-
indexstring IndexNamerequired -
The name of the follower index.
Query Parameters
-
master_timeoutstring Duration · default: 30s The period to wait for a connection to the master node. If the master node is not available before the timeout expires, the request fails and returns an error. It can also be set to
-1to indicate that the request should never timeout.
Response
application/json
-
acknowledgedbooleanrequired -
For a successful response, this value is always true. On failure, an exception is returned instead.